<?php
QUnit_Global::includeClass('QCore_Sql_Table');

class QCore_Sql_Table_Transactions extends QCore_Sql_Table {

    function QCore_Sql_Table_Transactions() {
        $this->addColumn('transid', WD_PATTERN_DEFAULT);
        $this->addColumn('accountid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('rstatus', WD_PATTERN_DEFAULT);
        $this->addColumn('dateinserted', WD_PATTERN_DEFAULT, false);
        $this->addColumn('dateapproved', WD_PATTERN_DEFAULT, false);
        $this->addColumn('transtype', WD_PATTERN_DEFAULT, false);
        $this->addColumn('payoutstatus', WD_PATTERN_DEFAULT, false);
        $this->addColumn('datepayout', WD_PATTERN_DEFAULT, false);
        $this->addColumn('cookiestatus', WD_PATTERN_DEFAULT, false);
        $this->addColumn('orderid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('totalcost', WD_PATTERN_DEFAULT, false);
        $this->addColumn('bannerid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('transkind', WD_PATTERN_DEFAULT, false);
        $this->addColumn('refererurl', WD_PATTERN_DEFAULT, false);
        $this->addColumn('affiliateid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('campcategoryid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('parenttransid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('commission', WD_PATTERN_DEFAULT, false);
        $this->addColumn('ip', WD_PATTERN_DEFAULT, false);
        $this->addColumn('recuringcommid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('accountingid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('productid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data1', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data2', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data3', WD_PATTERN_DEFAULT, false);
    }
        
    function getTableName() {
        return 'wd_pa_transactions';
    }
    
        
    function getPkName() {
        return 'transid';
    }            
}
?>
